FGFSRC(5)

NAME
fgfsrc - FlightGear command-line options file

DESCRIPTION
fgfsrc is a file containing command-line options read by fgfs(1) at startup. This file is meant for those people who do not use a graphical launcher to run the simulator, so that they will be able to specify most preferences that do not change often there (for example, custom scenery/aircraft locations or screen size options), and only those frequently modified (like the starting airport) on the command line. The file must be in plain-text format and ASCII-encoded. It must contain one or more command-line options listed in fgfs(1); each option must be given on a separate line. If the first non-whitespace character in a line is an octothorpe (#), fgfs(1) treats the line as a comment and ignores it. Comments should not be added after an option, because that might cause the simulator to fail under some conditions (notably, when the command-line argument given on the line is of the form --prop=). Variables in paths, like $HOME or $FG_HOME, are not expanded.

FILES

~/.fgfsrc.hostname, ~/.fgfsrc
    Configuration files containing command-line options for fgfs(1). The simulator parses command-line arguments first, then ~/.fgfsrc.hostname (where hostname is the hostname of the machine) and then ~/.fgfsrc, if they exist, in that order.

EXAMPLE
The following example configuration file synchronizes the simulator clock with the local real-world time, loads real-world weather data, sets the window size to 1024x768 and enables random scenery objects and AI traffic:
--time-match-local
--enable-real-weather-fetch
--geometry=1024x768
--enable-random-objects
--enable-ai-traffic

SEE ALSO
fgfs(1)